#
# Please do not update/rebuild/touch this package before asking first to mikala, lmenut, david_david and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:          kactivitymanagerd
Summary:       System service to manage user's activities, track the usage patterns etc
Group:         Graphical desktop/KDE
Epoch:         1
Version: 5.12.2
Release:       %mkrel %{rel}
License:       LGPLv2+
URL:           http://quickgit.kde.org/%{name}
Source0:       %{name}-%{version}.tar.xz


BuildRequires: kf5-macros

BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KF5GlobalAccel)
BuildRequires: cmake(KF5XmlGui)
BuildRequires: cmake(KF5KIO)

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5Widgets)

BuildRequires: boost-devel
# (tv) fix upgrade from mga5:
Conflicts: kactivities-framework < 1:5.29.0-2.mga6

%description 
System service to manage user's activities, track the usage patterns etc.

%files -f %name.lang
%_kf5_bindir/kactivitymanagerd
%_kf5_libdir/libkactivitymanagerd_plugin.so
%_qt5_plugindir/kactivitymanagerd
%_kf5_services/kactivitymanagerd.desktop
%_kf5_servicetypes/kactivitymanagerd-plugin.desktop
%_datadir/dbus-1/services/org.kde.activitymanager.service

#-----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build

%cmake_kf5
%make

%install
%make_install -C build
%find_lang %name --all-name



%changelog
* Fri Feb 23 2018 neoclust <neoclust> 1:5.12.2-1.mga6
+ Revision: 1204477
- New version 5.12.2
- New version 5.12.1
- New version 5.11.95

* Fri May 26 2017 neoclust <neoclust> 1:5.8.7-1.mga6
+ Revision: 1104830
- New version 5.8.7

* Wed Mar 08 2017 neoclust <neoclust> 1:5.8.6-2.mga6
+ Revision: 1089694
- Rebuild for arm

* Mon Mar 06 2017 neoclust <neoclust> 1:5.8.6-1.mga6
+ Revision: 1089016
- New version 5.8.6

* Tue Jan 31 2017 tv <tv> 1:5.8.5-3.mga6
+ Revision: 1084367
- slightly relax the conflicts

* Tue Jan 31 2017 tv <tv> 1:5.8.5-2.mga6
+ Revision: 1084356
- fix upgrade from mga5

* Tue Dec 27 2016 neoclust <neoclust> 1:5.8.5-1.mga6
+ Revision: 1078151
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 1:5.8.4-1.mga6
+ Revision: 1070708
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 1:5.8.3-2.mga6
+ Revision: 1065073
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 1:5.8.3-1.mga6
+ Revision: 1064468
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 1:5.8.2-1.mga6
+ Revision: 1063039
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 1:5.8.1-1.mga6
+ Revision: 1060264
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 1:5.8.0-1.mga6
+ Revision: 1057590
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 1:5.7.95-1.mga6
+ Revision: 1053046
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 1:5.7.5-1.mga6
+ Revision: 1052673
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 1:5.7.4-1.mga6
+ Revision: 1048334
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 1:5.7.3-1.mga6
+ Revision: 1044259
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 1:5.7.2-1.mga6
+ Revision: 1042547
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 1:5.7.1-1.mga6
+ Revision: 1041384
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 1:5.7.0-1.mga6
+ Revision: 1039490
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 1:5.6.5-1.mga6
+ Revision: 1021856
- New version 5.6.5
- New version 5.6.4

* Sun May 15 2016 neoclust <neoclust> 1:5.6.4-2.mga6
+ Revision: 1015661
- Add Epoch to allow update from mga5 ( from NyB )
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009264
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999248
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998003
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994378
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 986978
- Rebuild against kf5 5.20.0

* Fri Mar 04 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 985539
- imported package kactivitymanagerd

